Subject: [netmod] [Errata Verified] RFC6643 (4786)

From: RFC Errata System <[email-masked]>
Date: Sun, 28 Aug 2016 21:40:31 -0700 (PDT)

The following errata report has been verified for RFC6643,
"Translation of Structure of Management Information Version 2 (SMIv2) MIB Modules to YANG Modules". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6643&eid=4786

--------------------------------------
Status: Verified
Type: Technical

Reported by: Martin Björklund <[email-masked]>
Date Reported: 2016-08-24
Verified by: Benoit Claise (IESG)

Section: 9.1

Original Text
-------------
      If the current object belongs to a conceptual table,
      then a sequence of leaf statements is generated for each INDEX
      object of the conceptual table.  These leafs are named after the
      INDEX objects and of type leafref.

Corrected Text
--------------
      If the current object belongs to a conceptual table,
      then a sequence of leaf statements is generated for each INDEX
      object of the conceptual table, except that a leaf statement is
      not generated for the current object if it is also an INDEX
      object. These leafs are named after the INDEX objects and of type
      leafref.

Notes
-----
The original text would lead to duplicate leaf nodes if the current object is also part of the INDEX.  Section 9.2 contains an example which shows such a situation, without any duplicates.

--------------------------------------
RFC6643 (draft-ietf-netmod-smi-yang-05)
--------------------------------------
Title               : Translation of Structure of Management Information Version 2 (SMIv2) MIB Modules to YANG Modules
Publication Date    : July 2012
Author(s)           : J. Schoenwaelder
Category            : PROPOSED STANDARD
Source              : NETCONF Data Modeling Language
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG